init python:

    def MaxScale(img, minwidth=config.screen_width, minheight=config.screen_height):
        currwidth, currheight = renpy.image_size(img)
        xscale = float(minwidth) / currwidth
        yscale = float(minheight) / currheight

        if xscale > yscale:
            maxscale = xscale
        else:
            maxscale = yscale

        return im.FactorScale(img, maxscale, maxscale)

    def MinScale(img, maxwidth=config.screen_width, maxheight=config.screen_height):
        currwidth, currheight = renpy.image_size(img)
        xscale = float(maxwidth) / currwidth
        yscale = float(maxheight) / currheight

        if xscale < yscale:
            minscale = xscale
        else:
            minscale = yscale

        return im.FactorScale(img, minscale, minscale)

    maxnumx = 2
    maxnumy = 2
    maxthumbx = config.screen_width / (maxnumx + 1)
    maxthumby = config.screen_height / (maxnumy + 1)
    maxperpage = maxnumx * maxnumy
    gallery_page = 0
    closeup_page = 0

    class GalleryItem:
        def __init__(self, name, images, thumb, locked="lockedthumb"):
            self.name = name
            self.images = images
            self.thumb = thumb
            self.locked = locked
            self.refresh_lock()

        def num_images(self):
            return len(self.images)

        def refresh_lock(self):
            self.num_unlocked = 0
            lockme = False
            for img in self.images:
                #if not renpy.seen_image(img):
                    #lockme = True
                #else:
                self.num_unlocked += 1
            self.is_locked = lockme



    gallery_items = []
    gallery_items.append(GalleryItem("{font=amperzand.ttf}Avelynn{/font}", ["img1", "img2", "img3"], "thumb1"))
    gallery_items.append(GalleryItem("{font=amperzand.ttf}Avelynn II{/font}", ["img4", "img5", "img6"], "thumb4"))
    gallery_items.append(GalleryItem("{font=amperzand.ttf}Myrthe{/font}", ["img7", "img8", "img9"], "thumb7"))
    gallery_items.append(GalleryItem("{font=amperzand.ttf}Myrthe II{/font}", ["img10", "img11", "img12"], "thumb11"))
    gallery_items.append(GalleryItem("{font=amperzand.ttf}New Experiences{/font}", ["img48", "img49", "img50", "img51", "img52"], "thumb48"))
    gallery_items.append(GalleryItem("{font=amperzand.ttf}Myrthe III{/font}", ["img13", "img14", "img15", "img16", "img17"], "thumb13"))
    gallery_items.append(GalleryItem("{font=amperzand.ttf}A life saved{/font}", ["img188", "img19", "img20", "img21"], "thumb188"))
    gallery_items.append(GalleryItem("{font=amperzand.ttf}Nahyun's bath{/font}", ["img25", "img26", "img27", "img29"], "thumb25"))
    gallery_items.append(GalleryItem("{font=amperzand.ttf}Khutulun's bath{/font}", ["img30", "img31", "img32", "img33"], "thumb30"))
    gallery_items.append(GalleryItem("{font=amperzand.ttf}A shared bath{/font}", ["img34", "img35", "img36", "img37"], "thumb34"))
    gallery_items.append(GalleryItem("{font=amperzand.ttf}Soulbond{/font}", ["img38", "img39", "img40"], "thumb38"))
    gallery_items.append(GalleryItem("{font=amperzand.ttf}The cavalry's here!{/font}", ["img43", "img44", "img46", "img47"], "thumb43"))
    gallery_items.append(GalleryItem("{font=amperzand.ttf}Secret I{/font}", ["img53", "img54", "img55", "img56", "img57"], "thumb53"))
    gallery_items.append(GalleryItem("{font=amperzand.ttf}Spider attack I{/font}", ["img160", "img161", "img162"], "thumb160"))
    gallery_items.append(GalleryItem("{font=amperzand.ttf}Spider attack II{/font}", ["img163", "img164", "img165"], "thumb163"))
    gallery_items.append(GalleryItem("{font=amperzand.ttf}Spider attack III{/font}", ["img166", "img167", "img168", "img169"], "thumb166"))
    #gallery_items.append(GalleryItem("{font=amperzand.ttf}Farewell{/font}", ["img13", "img13b"], "thumb13"))
    #gallery_items.append(GalleryItem("{font=amperzand.ttf}The stone{/font}", ["img14"], "thumb14"))
    #gallery_items.append(GalleryItem("{font=amperzand.ttf}Firestone{/font}", ["img16", "img16b", "img16c"], "thumb16"))
    #gallery_items.append(GalleryItem("{font=amperzand.ttf}Nutslayer{/font}", ["img30", "img30b", "img30c", "img30d"], "thumb30"))
    #gallery_items.append(GalleryItem("{color=#D5BF15}{font=amperzand.ttf}Secret I{/font}{/color}", ["img15", "img15b"], "thumb15"))
    #gallery_items.append(GalleryItem("{color=#D5BF15}{font=amperzand.ttf}Secret II{/font}{/color}", ["img17", "img19", "img20"], "thumb17"))
    #gallery_items.append(GalleryItem("{color=#D5BF15}{font=amperzand.ttf}Secret III{/font}{/color}", ["img21", "img22", "img23"], "thumb21"))
    #gallery_items.append(GalleryItem("{color=#D5BF15}{font=amperzand.ttf}Secret lv{/font}{/color}", ["img23b", "img24", "img25", "img26", "img27", "img28", "img29"], "thumb23b"))
